Bug 207008 - grub was not properly installed
grub was not properly installed
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2006-09-18 14:54 EDT by Garrett Mitchener
Modified: 2008-05-06 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:22:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Garrett Mitchener 2006-09-18 14:54:38 EDT
Description of problem:

grub did not install to /dev/sda when installing FC 6 test 3 (over http) but it
didn't give me an error message during the fedora install.  I only found out
when I rebooted and it went into Windows instead of giving me a grub menu.

Additional info:

I'm using a new Dell precision 690 workstation with two hard drives.  I'm
keeping windows on the first and putting linux on the second.

I made a grub floppy using knoppix (which I think results in grub 0.97) and
tried to install grub to /dev/sda after booting from that floppy, and it gave me
an error message:

setup (hd0)

Error 7: Cannot mount selected partition

so I assume this is a grub problem.

After booting with the grub floppy, I was able to load the configuration file
and boot from the resulting menu okay, so that part of the installation of grub
went fine.
Comment 1 Fred New 2006-09-24 16:24:07 EDT
I had similiar problems with FC6T2 and FC6T3, but I have an oddball setup:
     /boot is /dev/hdc1
     / is /dev/hda2
     /dev/hda1, 99 MB, is unused
     There is no /dev/hdb

For Test2, I think there was just a "GRUB" showing at the top of my screen after
I booted.  I had to boot from a CD in order to get GRUB set up correctly.

With Test3, I got the grub prompt, so I was able to
     find /grub/stage1
     root (hd1,0)
     setup (hd0)
to work around the problem.

On this system, I use a hard disk installation from /dev/hdc7.
Comment 2 Matthew Miller 2007-04-06 15:14:33 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Bug Zapper 2008-04-03 23:46:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:22:03 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.